Subject: Re: [RFC] consolidated libdt proposal

From: Matthew McClintock <[email-masked]>
Date: Tue, 08 Aug 2006 13:46:32 -0500

Hi Hollis,

Attached is a modified version of ft_build.c and ft_build.h from u-boot.

-Matthew

On Mon, 2006-08-07 at 16:58 -0500, Hollis Blanchard wrote:
> On Sun, 2006-08-06 at 19:38 -0500, Hollis Blanchard wrote:
> > 
> > Hmm, so we'll have at least three copies of this code: uboot, kernel,
> > and Xen. Would it make sense to put this stuff into a libdt.a?
> > Technically, dtc has a "libdt" already, but it's absurdly incomplete
> > (I don't even know why it's there), so we could just replace it. 
> 
> Mark, I had a look at the code Pantelis wrote for u-boot, and it was
> pretty easy to adapt to meet Xen's (userspace-based) needs. I've
> attached my version below (and see ft_setup() at the bottom of the
> file). Does it meet your requirements for the kernel bootwrapper?
> 
> One limitation of the attached code is that it doesn't support changing
> the *size* of properties, though I don't think that would be too
> difficult to add if needed.
> 
> Haren, what about using this in kexec-tools?
> 
> If everybody can use this (I expect small modifications would be
> needed), I think we should turn it into a library in the dtc source
> tree. The various projects using it could then include snapshots (to
> avoid dependencies). In general I'd like to avoid everybody writing and
> maintaining their own version of this stuff (myself included).
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev